{
	saved_firstTime [1]
		
	Init[()
	{
		if(saved_firstTime = 1)
		{
			saved_firstTime = 0;
			SetNationality(3);
			PlayAnimation(26);
			Delay(15,1);
		}
	}]

	DelayReached[ (dy)
	{
		if(dy=1)
		{
			Level.BeginOnslaught();
			SetState_MG42( Level.GetEntity("RUMG42"));
			Delay(8,10);
		}
		if(dy=10)
		{
			if( Level.saved_Treason = 1 )
			{
				SetNationality(1);
				Delay(3, 10);
			}
			else
			{
				SetNationality(3);
				Delay(3,10);
			}
		}
	}]
}